## zanshin 25.11.80

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "11")
set(RELEASE_SERVICE_VERSION_MICRO "80")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(zanshin VERSION ${RELEASE_SERVICE_VERSION})

set(KF_MIN_VERSION "6.18.0")
find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
set(KDE_COMPILERSETTINGS_LEVEL "5.84")

include(GenerateExportHeader)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMPoQmTools)
include(ECMSetupVersion)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

set(QT_REQUIRED_VERSION "6.5.0")
find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Gui Widgets Test)
find_package(Boost REQUIRED)
find_package(Threads REQUIRED)

set(CMAKE_CXX_SCAN_FOR_MODULES OFF)

if(APPLE)
    if((NOT "${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "6.0.0.0") AND
	    "${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "6.0.0.6000058")
        # Apple Clang 6.0.0.6000057 is known to fail on some of our code using std::mem_fn
        # but have no issues with boost::mem_fn
	   message("problematic Apple Clang version ${CMAKE_CXX_COMPILER_VERSION}, using boost::mem_fn")
        add_definitions(-DZANSHIN_USE_BOOST_MEM_FN)
    endif()
endif()

if(UNIX)
    set(CMAKE_CXX_STANDARD 17)
    set(CMAKE_CXX_EXTENSIONS OFF) # Don't enable gcc-specific extensions
endif()

kde_enable_exceptions()

if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
endif()

option(ZANSHIN_BUILD_COVERAGE "Build Zanshin with gcov support" OFF)
if(ZANSHIN_BUILD_COVERAGE AND "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} --coverage")
endif()

option(ZANSHIN_BUILD_ASAN "Build Zanshin with asan support" OFF)
if(ZANSHIN_BUILD_ASAN)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address -fno-omit-frame-pointer -fno-optimize-sibling-calls")
   link_libraries("asan")
endif()

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_STRICT_ITERATORS
)

include_directories (
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${Boost_INCLUDE_DIR}
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Runner
    WindowSystem
    I18n
    CalendarCore
    Parts
    Crash
)

find_package(KPim6Akonadi "6.5.80" REQUIRED)
find_package(KPim6AkonadiCalendar "6.5.80" REQUIRED)
find_package(KPim6KontactInterface "6.5.80" REQUIRED)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.3.0
     KF 6.20.0
    )

add_subdirectory(src)
ki18n_install(po)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== debian/changelog ===
zanshin (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 08:04:39 +0000

zanshin (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:30:43 +0000

=== debian/control ===
Source: zanshin
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.11.80~),
               libakonadicalendar-dev (>= 4:25.11.80~),
               libboost-dev,
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6parts-dev (>= 6.6.0~),
               libkf6runner-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkontactinterface-dev (>= 25.11.80~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://zanshin.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/zanshin
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/zanshin

Package: zanshin
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: to-do list manager
 Zanshin is a powerful yet simple application for managing your day to day
 actions and notes. It helps you organize and reduce the cognitive pressure of
 what one has to do in one's job and personal life. You'll never forget
 anything anymore, having a "mind like water".

## zanshin 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(zanshin VERSION ${RELEASE_SERVICE_VERSION})
@@ -83,9 +83,9 @@
     Crash
 )
 
-find_package(KPim6Akonadi "6.5.80" REQUIRED)
-find_package(KPim6AkonadiCalendar "6.5.80" REQUIRED)
-find_package(KPim6KontactInterface "6.5.80" REQUIRED)
+find_package(KPim6Akonadi "6.5.90" REQUIRED)
+find_package(KPim6AkonadiCalendar "6.5.90" REQUIRED)
+find_package(KPim6KontactInterface "6.5.90" REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.3.0

=== debian/changelog ===
zanshin (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:19:58 +0000

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.80~),
-               libakonadicalendar-dev (>= 4:25.11.80~),
+               libakonadi-dev (>= 4:25.11.90~),
+               libakonadicalendar-dev (>= 4:25.11.90~),
                libboost-dev,
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
@@ -20,7 +20,7 @@
                libkf6parts-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.11.80~),
+               libkontactinterface-dev (>= 25.11.90~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,

## zanshin 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(zanshin VERSION ${RELEASE_SERVICE_VERSION})
@@ -83,9 +83,9 @@
     Crash
 )
 
-find_package(KPim6Akonadi "6.5.90" REQUIRED)
-find_package(KPim6AkonadiCalendar "6.5.90" REQUIRED)
-find_package(KPim6KontactInterface "6.5.90" REQUIRED)
+find_package(KPim6Akonadi "6.6.0" REQUIRED)
+find_package(KPim6AkonadiCalendar "6.6.0" REQUIRED)
+find_package(KPim6KontactInterface "6.6.0" REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.3.0

=== debian/changelog ===
zanshin (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:40:13 +0000

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.90~),
-               libakonadicalendar-dev (>= 4:25.11.90~),
+               libakonadi-dev (>= 4:25.12.0~),
+               libakonadicalendar-dev (>= 4:25.12.0~),
                libboost-dev,
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
@@ -20,7 +20,7 @@
                libkf6parts-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.11.90~),
+               libkontactinterface-dev (>= 25.12.0~),
                qt6-base-dev (>= 6.5.0+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>,

## zanshin 25.12.0+p24.04+vstable+git20251224.0903

=== debian/changelog ===
zanshin (25.12.0+p24.04+vstable+git20251224.0903-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 09:03:52 +0000

zanshin (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:43:02 +1000

## zanshin 25.12.0+p24.04+vstable+git20260102.1226

=== CMakeLists.txt ===
--- 
+++ 
@@ -83,9 +83,9 @@
     Crash
 )
 
-find_package(KPim6Akonadi "6.6.0" REQUIRED)
-find_package(KPim6AkonadiCalendar "6.6.0" REQUIRED)
-find_package(KPim6KontactInterface "6.6.0" REQUIRED)
+find_package(KPim6Akonadi "6.6.1" REQUIRED)
+find_package(KPim6AkonadiCalendar "6.6.1" REQUIRED)
+find_package(KPim6KontactInterface "6.6.1" REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.3.0

=== debian/changelog ===
zanshin (25.12.0+p24.04+vstable+git20260102.1226-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 12:26:15 +0000

## zanshin 25.12.0+p24.04+vstable+git20260105.1028

=== debian/changelog ===
zanshin (25.12.0+p24.04+vstable+git20260105.1028-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:28:37 +0000

## zanshin 25.12.0+p24.04+vunstable+git20251209.0539

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(zanshin VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF_MIN_VERSION "6.18.0")
+set(KF_MIN_VERSION "6.20.0")
 find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 set(KDE_COMPILERSETTINGS_LEVEL "5.84")
@@ -83,13 +83,13 @@
     Crash
 )
 
-find_package(KPim6Akonadi "6.6.1" REQUIRED)
-find_package(KPim6AkonadiCalendar "6.6.1" REQUIRED)
-find_package(KPim6KontactInterface "6.6.1" REQUIRED)
+find_package(KPim6Akonadi "6.6.40" REQUIRED)
+find_package(KPim6AkonadiCalendar "6.6.40" REQUIRED)
+find_package(KPim6KontactInterface "6.6.40" REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.3.0
-     KF 6.20.0
+     KF 6.21.0
     )
 
 add_subdirectory(src)

=== debian/changelog ===
zanshin (25.12.0+p24.04+vunstable+git20251209.0539-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 05:39:48 +0000

## zanshin 25.12.0+p24.04+vunstable+git20251209.0558

=== debian/changelog ===
zanshin (25.12.0+p24.04+vunstable+git20251209.0558-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 05:58:06 +0000

## zanshin 25.12.0+p24.04+vunstable+git20260104.0149

=== debian/changelog ===
zanshin (25.12.0+p24.04+vunstable+git20260104.0149-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 01:49:29 +0000

## zanshin 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(zanshin VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF_MIN_VERSION "6.20.0")
+set(KF_MIN_VERSION "6.18.0")
 find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 set(KDE_COMPILERSETTINGS_LEVEL "5.84")
@@ -83,13 +83,13 @@
     Crash
 )
 
-find_package(KPim6Akonadi "6.6.40" REQUIRED)
-find_package(KPim6AkonadiCalendar "6.6.40" REQUIRED)
-find_package(KPim6KontactInterface "6.6.40" REQUIRED)
+find_package(KPim6Akonadi "6.6.1" REQUIRED)
+find_package(KPim6AkonadiCalendar "6.6.1" REQUIRED)
+find_package(KPim6KontactInterface "6.6.1" REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.3.0
-     KF 6.21.0
+     KF 6.20.0
     )
 
 add_subdirectory(src)

=== debian/changelog ===
zanshin (25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:50:44 +0100

zanshin (25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 18:01:10 +0100

=== debian/control ===
Source: zanshin
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libakonadi-dev (>= 4:25.12.1~),
               libakonadicalendar-dev (>= 4:25.12.1~),
               libboost-dev,
               libkf6calendarcore-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6parts-dev (>= 6.18.0~),
               libkf6runner-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkontactinterface-dev (>= 25.12.1~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.3
Homepage: https://zanshin.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/zanshin
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/zanshin.git

Package: zanshin
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: to-do list manager
 Zanshin is a powerful yet simple application for managing your day to day
 actions and notes. It helps you organize and reduce the cognitive pressure of
 what one has to do in one's job and personal life. You'll never forget
 anything anymore, having a "mind like water".

## zanshin 25.12.1+p24.04+vstable+git20260107.0344

=== debian/changelog ===
zanshin (25.12.1+p24.04+vstable+git20260107.0344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 03:44:42 +0000

zanshin (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:34:38 +1000

## zanshin 25.12.1+p24.04+vstable+git20260128.0453

=== debian/changelog ===
zanshin (25.12.1+p24.04+vstable+git20260128.0453-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 04:53:35 +0000

## zanshin 25.12.1+p24.04+vstable+git20260202.1057

=== debian/changelog ===
zanshin (25.12.1+p24.04+vstable+git20260202.1057-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 10:57:39 +0000

## zanshin 25.12.1+p24.04+vunstable+git20260203.0908

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(zanshin VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF_MIN_VERSION "6.18.0")
+set(KF_MIN_VERSION "6.21.0")
 find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 set(KDE_COMPILERSETTINGS_LEVEL "5.84")
@@ -83,13 +83,18 @@
     Crash
 )
 
-find_package(KPim6Akonadi "6.6.1" REQUIRED)
-find_package(KPim6AkonadiCalendar "6.6.1" REQUIRED)
-find_package(KPim6KontactInterface "6.6.1" REQUIRED)
+find_package(KPim6Akonadi "6.6.40" REQUIRED)
+find_package(KPim6AkonadiCalendar "6.6.40" REQUIRED)
+find_package(KPim6KontactInterface "6.6.40" REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
 ecm_set_disabled_deprecation_versions(QT 6.3.0
-     KF 6.20.0
+     KF 6.22.0
     )
 
 add_subdirectory(src)

=== debian/changelog ===
zanshin (25.12.1+p24.04+vunstable+git20260203.0908-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 09:08:20 +0000

## zanshin 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-cmake_minimum_required(VERSION 3.27)
+cmake_minimum_required(VERSION 3.16)
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(zanshin VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF_MIN_VERSION "6.21.0")
+set(KF_MIN_VERSION "6.18.0")
 find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/ ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 set(KDE_COMPILERSETTINGS_LEVEL "5.84")
@@ -83,18 +83,13 @@
     Crash
 )
 
-find_package(KPim6Akonadi "6.6.40" REQUIRED)
-find_package(KPim6AkonadiCalendar "6.6.40" REQUIRED)
-find_package(KPim6KontactInterface "6.6.40" REQUIRED)
+find_package(KPim6Akonadi "6.6.2" REQUIRED)
+find_package(KPim6AkonadiCalendar "6.6.2" REQUIRED)
+find_package(KPim6KontactInterface "6.6.2" REQUIRED)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
-    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
-    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
-endif()
 ecm_set_disabled_deprecation_versions(QT 6.3.0
-     KF 6.22.0
+     KF 6.20.0
     )
 
 add_subdirectory(src)

=== debian/changelog ===
zanshin (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:44:54 +0000

zanshin (25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 11:39:17 +0000

zanshin (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:20:36 +0000

=== debian/control ===
Source: zanshin
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.12.2~),
               libakonadicalendar-dev (>= 4:25.12.2~),
               libboost-dev,
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6parts-dev (>= 6.6.0~),
               libkf6runner-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkontactinterface-dev (>= 25.12.2~),
               qt6-base-dev (>= 6.5.0+dfsg~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://zanshin.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/zanshin
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/zanshin

Package: zanshin
Architecture: amd64 amd64v3 arm64 armhf i386
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: to-do list manager
 Zanshin is a powerful yet simple application for managing your day to day
 actions and notes. It helps you organize and reduce the cognitive pressure of
 what one has to do in one's job and personal life. You'll never forget
 anything anymore, having a "mind like water".
